org.apache.ignite.internal.commandline

## Enum TxCommandArg

- java.lang.Object
- - java.lang.Enum<TxCommandArg>
  - - org.apache.ignite.internal.commandline.TxCommandArg

All Implemented Interfaces:
  Serializable, Comparable<TxCommandArg>, CommandArg

    public enum TxCommandArg
    extends Enum<TxCommandArg>
    implements CommandArg

Transaction command arguments name.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TX_CLIENTS`
`TX_DURATION`
`TX_INFO`
`TX_KILL`
`TX_LABEL`
`TX_LIMIT`
`TX_NODES`
`TX_ORDER`
`TX_SERVERS`
`TX_SIZE`
`TX_XID`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `argName()`
`String` `toString()`
`static TxCommandArg` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TxCommandArg[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TX_LIMIT

    public static final TxCommandArg TX_LIMIT

#### TX_ORDER

    public static final TxCommandArg TX_ORDER

#### TX_SERVERS

    public static final TxCommandArg TX_SERVERS

#### TX_CLIENTS

    public static final TxCommandArg TX_CLIENTS

#### TX_DURATION

    public static final TxCommandArg TX_DURATION

#### TX_SIZE

    public static final TxCommandArg TX_SIZE

#### TX_LABEL

    public static final TxCommandArg TX_LABEL

#### TX_NODES

    public static final TxCommandArg TX_NODES

#### TX_XID

    public static final TxCommandArg TX_XID

#### TX_KILL

    public static final TxCommandArg TX_KILL

#### TX_INFO

    public static final TxCommandArg TX_INFO

### Method Detail

#### values

    public static TxCommandArg[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TxCommandArg c : TxCommandArg.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TxCommandArg valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### argName

    public String argName()

Specified by:
  `argName` in interface `CommandArg`
Returns:
  Argument name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<TxCommandArg>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020